apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  labels:
    app: iperf-server
  name: vm-a
  namespace: test12
  annotations:
    k8s.ovn.org/open-default-ports: |
      - protocol: tcp
        port: 22
spec:
  runStrategy: Always
  template:
    metadata:
      name: vm-a
      namespace: test12
      labels:
        app: iperf-server
      annotations:
        k8s.ovn.org/open-default-ports: |
          - protocol: tcp
            port: 22
    spec:
      domain:
        devices:
          disks:
          - disk:
              bus: virtio
            name: containerdisk
          - disk:
              bus: virtio
            name: cloudinitdisk
          interfaces:
          - name: isolated-namespace
            binding:
              name: l2bridge
          rng: {}
        resources:
          requests:
            memory: 2048M
      networks:
      - pod: {}
        name: isolated-namespace
      terminationGracePeriodSeconds: 0
      volumes:
      - containerDisk:
          image: quay.io/kubevirtci/fedora-with-test-tooling:v20241128-4d4c8fe
        name: containerdisk
      - cloudInitNoCloud:
          userData: |-
            #cloud-config
            password: fedora
            chpasswd: { expire: False }
            runcmd:
              - ["iperf3", "-s", "-D", "--logfile", "/tmp/iperf3.log"]
          networkData: |-
            version: 2
            ethernets:
              eth0:
                dhcp4: true
                dhcp6: true
        name: cloudinitdisk
